Get the list of runs for an object.Ask AIget https://cluster.ip.address/v2/data-protect/objects/{id}/runsPrivileges: PROTECTION_VIEW Get the runs for a particular object.Path Paramsidint64requiredSpecifies a unique id of the object.Query ParamsrunIdstringSpecifies a unique id of the run.startTimeUsecsint64Filter by a start time when the run starts. Specify the start time as a Unix epoch Timestamp (in microseconds).endTimeUsecsint64Filter by a end time when the run starts. Specify the start time as a Unix epoch Timestamp (in microseconds).tenantIdsarray of stringsTenantIds contains ids of the tenants for which objects are to be returned.tenantIdsADD stringincludeTenantsbooleanIf true, the response will include Protection Group Runs which were created by all tenants which the current user has permission to see. If false, then only Protection Group Runs created by the current user will be returned.truefalserunTypesarray of stringsFilter by run type. Only protection run matching the specified types will be returned.kAllkHydrateCDPkSystemkStorageArraySnapshotkIncrementalkFullkLoglocalBackupObjectStatusarray of stringsSpecifies a list of status for the object in the backup run.localBackupObjectStatusADD stringreplicationObjectStatusarray of stringsSpecifies a list of status for the object in the replication run.replicationObjectStatusADD stringarchivalObjectStatusarray of stringsSpecifies a list of status for the object in the archival run.archivalObjectStatusADD stringcloudSpinRunStatusarray of stringsSpecifies a list of status for the object in the cloud spin run.cloudSpinRunStatusADD stringnumRunsint64Specifies the max number of runs. If not specified, at most 100 runs will be returned.paginationCookiestringSpecifies the pagination cookie with which subsequent parts of the response can be fetched. Users can use this to get next runsexcludeNonRestorableRunsbooleanDefaults to falseSpecifies whether to exclude non restorable runs. Run is treated restorable only if there is at least one object snapshot (which may be either a local or an archival snapshot) which is not deleted or expired. Default value is false.truefalseResponses 200Success defaultErrorUpdated 2 months ago